import { OnInit, AfterViewInit, ChangeDetectorRef } from '@angular/core';
import { SettingsService } from '../shared/settings.service';
import * as i0 from "@angular/core";
export declare class LayoutComponent implements OnInit, AfterViewInit {
    settings: SettingsService;
    cdr: ChangeDetectorRef;
    layoutAlreadyInstalled: boolean;
    get isFixed(): any;
    get isCollapsed(): any;
    get isBoxed(): any;
    get useFullLayout(): any;
    get hiddenFooter(): any;
    get horizontal(): any;
    get isFloat(): any;
    get offsidebarOpen(): any;
    get asideToggled(): any;
    get isCollapsedText(): any;
    constructor(settings: SettingsService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LayoutComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LayoutComponent, "ad-layout", never, {}, {}, never, ["*"]>;
}
